Package org.apache.sling.junit.scriptable

## Class TestAllPaths

- java.lang.Object
- - org.apache.sling.junit.scriptable.TestAllPaths

    public class TestAllPaths
    extends Object

The single test class that runs all our path-based tests

### Field Summary

Fields
`static String` `PASSED`
`static String` `TEST_URL_SUFFIX`

### Constructor Summary

Constructors
`TestAllPaths​(String path)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `checkTest​(String content)`
`static Collection<Object[]>` `data()` Let JUnit run this all on our paths
`void` `verifyContent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST_URL_SUFFIX

    public static final String TEST_URL_SUFFIX

See Also:
  Constant Field Values

#### PASSED

    public static final String PASSED

See Also:
  Constant Field Values

### Constructor Detail

#### TestAllPaths

    public TestAllPaths​(String path)

### Method Detail

#### data

    public static Collection<Object[]> data()

Let JUnit run this all on our paths

#### verifyContent

    public void verifyContent()
                       throws Exception

Throws:
  `Exception`

#### checkTest

    public static boolean checkTest​(String content)
                             throws Exception

Throws:
  `Exception`